// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nertc;

class _ApiFactory {

  static EngineApi createEngineApi() {
    return LogOptions.isSupported ? _LoggingEngineApi() : EngineApi();
  }
  
  static VideoRendererApi createVideoRendererApi() {
    return LogOptions.isSupported ? _LoggingVideoRendererApi() : VideoRendererApi();
  }

  static DeviceManagerApi createDeviceManagerApi() {
    return LogOptions.isSupported ? _LoggingDeviceManagerApi() : DeviceManagerApi();
  }

  static AudioMixingApi createAudioMixingApi() {
    return LogOptions.isSupported ? _LoggingAudioMixingApi() : AudioMixingApi();
  }

  static AudioEffectApi createAudioEffectApi() {
    return LogOptions.isSupported ? _LoggingAudioEffectApi() : AudioEffectApi();
  }


}